%{?nodejs_find_provides_and_requires}

%global packagename body-parser

Name: nodejs-%{packagename}
Version: 1.15.0
Release: 1%{?dist}.3
Summary: Node.js body parsing middleware
License: MIT
URL: https://github.com/expressjs/body-parser
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(bytes) >= 0.3.0
BuildRequires: npm(content-type) >= 1.0.1
BuildRequires: npm(content-type) < 1.1.0
BuildRequires: npm(debug) >= 2.2.0
BuildRequires: npm(debug) < 2.3.0
BuildRequires: npm(depd) >= 1.1.0
BuildRequires: npm(depd) < 1.2.0
BuildRequires: npm(http-errors) >= 1.4.0
BuildRequires: npm(http-errors) < 1.5.0
BuildRequires: npm(iconv-lite) >= 0.2.11
BuildRequires: npm(on-finished) >= 2.3.0
BuildRequires: npm(on-finished) < 2.4.0
BuildRequires: npm(qs) >= 6.0.2
BuildRequires: npm(raw-body) >= 1.1.4
BuildRequires: npm(type-is) >= 1.6.11
BuildRequires: npm(type-is) < 1.7.0

%description
Node.js body parsing middleware.

Parse incoming request bodies in a middleware before your handlers, availabe
under the `req.body` property.


%prep
%setup -q -n package
%nodejs_fixdep bytes '>=0.3.0'
%nodejs_fixdep iconv-lite '>=0.2.11'
%nodejs_fixdep mocha '>=2.4.5'
%nodejs_fixdep qs '>=6.0.2'
%nodejs_fixdep raw-body '>=1.1.4'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'


%files
%license LICENSE
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Sep 19 2016 Oleg Girko <ol@infoserver.lv> - 1.15.0-1
- Initial package
